%define name	streamtuner-local
%define version	0.3.0
%define release 1mdk

%define __libtoolize /bin/true

Name: 	 	%{name}
Summary: 	Local mp3 and ogg plugin for streamtuner
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.nongnu.org/streamtuner/download/streamtuner-local/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig streamtuner-devel libid3tag-devel libvorbis-devel

%description
Local mp3 and ogg plugin for streamtuner

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%_libdir/streamtuner/plugins/{*.la,*.a}
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_libdir}/streamtuner/plugins/*

%changelog
* Tue Feb 3 2004 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- initial package
